## javax.servlet
Class ServletSecurityElement

    java.lang.Object
      javax.servlet.HttpConstraintElement
          javax.servlet.ServletSecurityElement

    public class ServletSecurityElement

extends HttpConstraintElement

Java Class represntation of a `ServletSecurity` annotation value.

Since:
  Servlet 3.0

Constructor Summary
`ServletSecurityElement()` Constructs an instance using the default `HttpConstraintElement` value as the default Constraint element and with no HTTP Method specific constraint elements.
`ServletSecurityElement(Collection<HttpMethodConstraintElement> methodConstraints)` Constructs an instance using the default `HttpConstraintElement` value as the default Constraint element and with a collection of HTTP Method specific constraint elements.
`ServletSecurityElement(HttpConstraintElement constraint)` Constructs an instance with a default Constraint element and with no HTTP Method specific constraint elements.
`ServletSecurityElement(HttpConstraintElement constraint, Collection<HttpMethodConstraintElement> methodConstraints)` Constructs an instance with a default Constraint element and with a collection of HTTP Method specific constraint elements.
`ServletSecurityElement(ServletSecurity annotation)` Constructs an instance from a `ServletSecurity` annotation value.

Method Summary
`Collection<HttpMethodConstraintElement>` `getHttpMethodConstraints()` Gets the (possibly empty) collection of HTTP Method specific constraint elements.
`Collection<String>` `getMethodNames()` Gets the set of HTTP method names named by the HttpMethodConstraints.

Methods inherited from class javax.servlet.HttpConstraintElement
`getEmptyRoleSemantic, getRolesAllowed, getTransportGuarantee`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletSecurityElement

    public ServletSecurityElement()

  Constructs an instance using the default `HttpConstraintElement` value as the default Constraint element and with no HTTP Method specific constraint elements.

### ServletSecurityElement

    public ServletSecurityElement(HttpConstraintElement constraint)

  Constructs an instance with a default Constraint element and with no HTTP Method specific constraint elements.

  Parameters:
    `constraint` - the HttpConstraintElement to be applied to all HTTP methods other than those represented in the `methodConstraints`

### ServletSecurityElement

    public ServletSecurityElement(Collection<HttpMethodConstraintElement> methodConstraints)

  Constructs an instance using the default `HttpConstraintElement` value as the default Constraint element and with a collection of HTTP Method specific constraint elements.

  Parameters:
    `methodConstraints` - the collection of HTTP method specific constraint elements
  Throws:
    `IllegalArgumentException` - if duplicate method names are detected

### ServletSecurityElement

    public ServletSecurityElement(HttpConstraintElement constraint,
                                  Collection<HttpMethodConstraintElement> methodConstraints)

  Constructs an instance with a default Constraint element and with a collection of HTTP Method specific constraint elements.

  Parameters:
    `constraint` - the HttpConstraintElement to be applied to all HTTP methods other than those represented in the `methodConstraints`
    `methodConstraints` - the collection of HTTP method specific constraint elements.
  Throws:
    `IllegalArgumentException` - if duplicate method names are detected

### ServletSecurityElement

    public ServletSecurityElement(ServletSecurity annotation)

  Constructs an instance from a `ServletSecurity` annotation value.

  Parameters:
    `annotation` - the annotation value
  Throws:
    `IllegalArgumentException` - if duplicate method names are detected

Method Detail

### getHttpMethodConstraints

    public Collection<HttpMethodConstraintElement> getHttpMethodConstraints()

  Gets the (possibly empty) collection of HTTP Method specific constraint elements.

  If permitted, any changes to the returned `Collection` must not affect this `ServletSecurityElement`.

  Returns:
    the (possibly empty) collection of HttpMethodConstraintElement objects

### getMethodNames

    public Collection<String> getMethodNames()

  Gets the set of HTTP method names named by the HttpMethodConstraints.

  If permitted, any changes to the returned `Collection` must not affect this `ServletSecurityElement`.

  Returns:
    the collection String method names

Copyright © 2012 GlassFish Community. All Rights Reserved.